//[passport-contacts](../../../index.md)/[com.yandex.passport.contacts](../index.md)/[PassportContactsWorkStatus](index.md)/[isFinished](is-finished.md)

# isFinished

[passport-contacts]\
val [isFinished](is-finished.md): Boolean

Returns true if this State is considered finished.

#### Return

true for [SUCCEEDED](-s-u-c-c-e-e-d-e-d/index.md), [FAILED](-f-a-i-l-e-d/index.md), and * [CANCELLED](-c-a-n-c-e-l-l-e-d/index.md) states.
